<?php
/************************************************************************/
/* Maximus CMS: Web Portal System                                       */
/* ==============================                                       */
/*                                                                      */
/* Copyright (c) 2002 - 2006                                            */
/* http://www.php-maximus.fr                                            */
/* dev@php-maximus.org                                                  */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/
/* Based on PHP-NUKE: Web Portal System                                 */
/************************************************************************/
defined('MAXIMUS') or die ('Access denied block categories MAXIMUS directly...');

if ( $content = opencacheb ( 'Categories', 'html' , "".CACHE_BL_CATEGORIES."", '1' ) ) {
} else {

global $cat, $language, $multilingual, $currentlang;

$multilingual = addslashes( $multilingual ) ;
$currentlang  = addslashes( $currentlang ) ;

    if ($multilingual == 1) {
	$querylang = "AND (`alanguage`='$currentlang' OR `alanguage`='')"; /* the OR is needed to display stories who are posted to ALL languages */
    } else {
	$querylang = "";
    }
    $sql = "SELECT `catid`, `title` FROM `".TABLE_STORIES_CAT."` ORDER BY `title`";
    if ( !($result = $GLOBALS['db']->sql_query($sql)) )
{ query_die(CORE_ERROR, 'Could not obtain _stories_cat', '', __LINE__, __FILE__, $sql);}
    $numrows = $GLOBALS['db']->sql_numrows($result);
    if ($numrows == 0) {
	return;
    } else {
	$boxstuff = "<font class=\"content\">";
	while ($row = $GLOBALS['db']->sql_fetchrow($result)) {
	    $catid = $GLOBALS['db']->XMFnum($row['catid']);
	    $title = stripslashes($row['title']);
	    $numrows = $GLOBALS['db']->sql_numrows($GLOBALS['db']->sql_query("SELECT * FROM `".TABLE_STORIES."` WHERE `catid`='$catid' $querylang LIMIT 1"));
	    if ($numrows > 0) {
		if ($cat == 0 AND !$a) {
		    $boxstuff .= "<strong><big>&middot;</big></strong>&nbsp;<b>"._ALLCATEGORIES."</b><br />";
		    $a = 1;
		} elseif ($cat != 0 AND !$a) {
		    $boxstuff .= "<strong><big>&middot;</big></strong>&nbsp;<a href=\"modules.php?name=News\">"._ALLCATEGORIES."</a><br />";
		    $a = 1;
		}

		if ($cat == $catid) {
		    $boxstuff .= "<strong><big>&middot;</big></strong>&nbsp;<b>$title</b><br />";
		} else {
		    $boxstuff .= "<strong><big>&middot;</big></strong>&nbsp;<a href=\"modules.php?name=News&amp;file=categories&amp;op=newindex&amp;catid=$catid\">$title</a><br />";
		}
	    }
	}
	$boxstuff .= "</font>";
	$content = $boxstuff;
    }

closecacheb ( "".$content."", 'Categories', 'html' , "".CACHE_BL_CATEGORIES."", '1' );
}